### Method

# FwupdPlugin I2cDevice set_bus_number

since: 1.6.2

#### Declaration [src]

    void
    fu_i2c_device_set_bus_number (
      FuI2cDevice* self,
      guint bus_number
    )

#### Description [src]

Sets the I²C bus number.

Available since: 1.6.2

Sets property | `FwupdPlugin.I2cDevice:bus-number`

#### Parameters

`bus_number`

  Type: `guint`

  Integer, typically the output of `g_udev_device_get_number()`